/*******************************************************************************
 * Copyright(c) 2022 dongke All rights reserved. / Confidential
 * 类的信息：
 *		1.程序名称：  其他收款单
 * 编辑履历：
 *		作者				日期					版本				修改内容
 *		王英杰      2024-03-22    1.00		   	    
 *******************************************************************************/
const Constants = require('@/utils/Constants.js');
const mixins = require('@/mixins/index.js')
Page({
  mixins: [mixins],
  /**
   * 页面的初始数据
   */
  data: {
    // 查询条件
    searchContent: [
      { code: 'createtime', title: mixins.$t('pastThirthtyDays'),
       defaultValue: 5, searchType: Constants.searchType.date },
      { code: 'staff', title: mixins.$t('staffId'), dropType: 'staff' },
      { code: 'org', title: mixins.$t('orgId'), dropType: 'org' },
      { code: 'choose', title: mixins.$t('choose'), searchType: Constants.searchType.pick }],
    // 查询条件-筛选
    pullMenuList: [       
      {
        code: 'payableNo', 
      },
      {
        code: 'supName',
      }, 
      {
        code: 'accDate',
        title: 'accDate',
        dataType: 'date'
      },

      {
        code: 'staffName',
      },
      {
        code: 'orgName',
      },
    ],
    // 列表区（内容）
    contentList: [
      { name: 'payableNo', title: mixins.$t('receiptOrderNo'),},//'收款单号' 
      {
        name: [{ name: 'orgName', title: '' },
        { name: 'staffName', title: '' },],
        title: mixins.$t('storeInformation')
      },
      { name: 'accDate', title: mixins.$t('receiptDate') },//收款日期
    ],
    // 弹出按钮
    buttonList: [
      {
        name: 'customerRefundList',
        title:  mixins.$t('cusReturnCollection'),//客户退款
      },
      {
        name: 'customerRefundList',
        title:  mixins.$t('cusNotCollection'),//'取消收款',
      }, {
        name: 'customerRefundList',
        title: mixins.$t('ticketPirnt'),
      }
    ],
    selectlength: 5,
 
    // 底部保存按钮
    buttonFootList: [{
      name: 'add',
      title: mixins.$t('add'),
    }],
    contentnFootList: [
      {
        title:  mixins.$t('totalAmount'),
        code: 'totalAmount',
        content: 0,
        type: 'number'
      }, {
        type: 'count',
        code: 'count',
        bill: 1,
        quantity: 2
      }
    ], 
    btnFormData: null,
    // 路由
    routeObjName: 'otherPayable',
    // 主键Id 
    primaryKey: 'payableId',
   
  },

  /**
  * @desc : 设置查询参数
  * @date : 2024年3月8日
  * @author : 王英杰
  */
  setSearchParams(params) {
    //收付款类型-收款的查询参数
  //  params.rpType = Constants.rpType.receipt
    return params;
  },

  /** 
   * @desc : 查询 入库单
   * @date : 2024年3月8日
   * @author : 王英杰
   */
  getData(params) {
    return this.excute(this.data.service, this.data.service.selectByCond, params);    
  }, 
  /**
     * @desc :   处理接口返回数据
     * @date : 2024年3月8日
     * @author : 王英杰
     */ 
  handleSearchData(tableData) {
    if (tableData && tableData.length > 0) {
      tableData.forEach(res => {
        res.collectStatus = 'cusCollection'
        res.collectStatus = res.sumAmtRec
      })
    }
    this.setData({
      tableData: tableData
    })
  },
 
})